using System;
using System.Collections.Generic;
using System.Text;
using NU.OJL.MPRTOS.TLV.Base;

namespace NU.OJL.MPRTOS.TLV.Core.Commands
{
	public class PlayCommand : ICommand
	{
		private IFileContext _fileContext;
		private string _Text;

		public string Text
		{
			get { return _Text; }
			set { _Text = value; }
		}

		public bool CanUndo { get { return false; } set { } }

		public PlayCommand()
		{
			_fileContext = ApplicationFactory.GetFileContext();
			Text = "開始する";
		}

		public void Do()
		{
			if (_fileContext.IsOpened)
			{
				_fileContext.Open("");
			}
		}

		public void Undo()
		{

		}
	}
}
